# Function applyPostStatChangeAbAttrs

- applyPostStatChangeAbAttrs(attrType, pokemon, stats, levels, selfTarget, ...args): Promise<void>

- #### Parameters

  - attrType: (new (...args) => PostStatChangeAbAttr )
    - - new (...args): PostStatChangeAbAttr

      - #### Parameters

        - `Rest` ...args: any[]

        #### Returns PostStatChangeAbAttr

  - pokemon: default
  - stats: BattleStat []
  - levels: number
  - selfTarget: boolean
  - `Rest` ...args: any[]

  #### Returns Promise<void>

  - Defined in src/data/ability.ts:3607